part of masamune.form;

class UIPageChangeEmail extends PageHookWidget {
  const UIPageChangeEmail({this.emailBuilder});
  final String? Function(BuildContext context)? emailBuilder;

  @override
  Widget build(BuildContext context) {
    final form = useForm();
    final focusNode = useAutoFocusNode();
    final email = emailBuilder?.call(context);

    return Scaffold(
      appBar: AppBar(
        title: Text(
          "Change Email".localize(),
        ),
      ),
      body: ChangeEmailForm(
        key: form.key,
        defaultEmail: email ?? "",
        focusNode: focusNode,
      ),
      floatingActionButton: FloatingActionButton(
        child: const Icon(Icons.check),
        onPressed: () {
          if (!form.validate()) {
            return;
          }
          UIDialog.show(
            context,
            title: "Success".localize(),
            text: "%s is completed.".localize().format(["Editing".localize()]),
            submitText: "OK".localize(),
            onSubmit: () {
              context.navigator.pop();
            },
          );
        },
      ),
    );
  }
}
